[linux] gentoo / dependencies broken I guess

M. Hornung mike at boobaz.net
Fri Sep 5 09:49:29 PDT 2003


I'm new at Gentoo, and I don't fully understand the intricacies of
portage. I'm trying to upgrade stuff:

% emerge -up openssh

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild U ] sys-libs/db-4.0.14-r2 [3.2.9-r6]
[ebuild U ] dev-lang/perl-5.8.0-r12 [5.8.0-r10]
[ebuild U ] net-misc/openssh-3.6.1_p2-r2 [3.6.1_p2]

When I try to then run 'emerge -u openssh' the build for "db" fails with:

checking SOSUFFIX from libtool... so
checking for javac... no
checking for gcj... gcj -C
checking if gcj -C works... yes
checking for jar... no
configure: error: no acceptable jar program found in $PATH

!!! ERROR: sys-libs/db-4.0.14-r2 failed.
!!! Function src_compile, Line 58, Exitcode 1
!!! (no error message)

There aren't other dependencies listed for "db" so I'm not sure what I'm
missing that it requires. Can I get around this somehow?

-Mike



More information about the Linux mailing list